import networkx as nx
import sys
import pdb
import random

def random_graph(gr,prob):
    # generate a graph that has the same structure but the sign of the edges is random
    g = nx.Graph()
    for i in gr.edges(data=True):
        # generate a random number b/w 0 and 1. If rand < prob +1 -1 o/w
        r = random.random()
        if r < prob:
            s = 1
        else:
            s = -1
        g.add_edge(i[0],i[1],sign=s)
    return g

