import networkx as nx
import matplotlib.pyplot as plt

import pickle
import readdb as db
import pdb

gr = db.read_epinion('soc-sign-Slashdot090216.txt')
px = pickle.load(open('clusters_sd.obj'))

vertices = px[0].union(px[1])

h = gr.subgraph(list(vertices))

pos = nx.spring_layout(h)
nx.draw_networkx_nodes(h,pos,nodelist=list(px[0]),node_color='r',node_size=50,alpha=0.3)
nx.draw_networkx_nodes(h,pos,nodelist=list(px[1]),node_color='g',node_size=50,alpha=0.3)
edges = []
nonedges = []
for i in h.edges():
    if i[0] in px[0] and i[1] in px[1]:
        edges.append((i[0],i[1]))
    elif i[0] in vertices and i[1] in vertices:
        nonedges.append((i[0],i[1]))
nx.draw_networkx_edges(h,pos,edgelist=edges,edge_color='b')
nx.draw_networkx_edges(h,pos,edgelist=nonedges,edge_color = 'y')
plt.axis('off')
plt.savefig('test.png')
plt.close()
pdb.set_trace()

nx.draw_net
