import networkx as nx
import matplotlib.pyplot as plt
from pylab import *
gr = nx.Graph()
#gr.add_edges_from([(0, 8, {'sign': -1}), (0, 1, {'sign': 1}), (0, 2, {'sign': 1}), (1, 2, {'sign': 1}), (2, 4, {'sign': -1}), (2, 5, {'sign': -1}), (2, 6, {'sign': -1}), (3, 4, {'sign': 1}), (3, 5, {'sign': 1}), (4, 8, {'sign': -1}), (4, 5, {'sign': 1}), (5, 7, {'sign': -1}), (6, 8, {'sign': 1}), (6, 7, {'sign': 1}), (7, 8, {'sign': 1})])
gr.add_edges_from([(0, 8, {'sign': -1}), (0, 1, {'sign': 1}), (0, 2, {'sign': 1}), (0, 3, {'sign': -1}), (0, 4, {'sign': -1}), (1, 2, {'sign': 1}), (2, 6, {'sign': -1}), (3, 4, {'sign': 1}), (3, 5, {'sign': 1}), (4, 5, {'sign': 1}), (4, 6, {'sign': -1}), (5, 7, {'sign': -1}), (6, 8, {'sign': 1}), (6, 7, {'sign': 1}), (7, 8, {'sign': 1})])
pos = filter(lambda x:x[2]['sign']==1,gr.edges(data=True))
neg = filter(lambda x:x[2]['sign']==-1,gr.edges(data=True))
psn =  nx.graphviz_layout(gr)
nx.draw_networkx_nodes(gr,psn,node_color='white',node_size=450)
nx.draw_networkx_edges(gr,psn,edgelist=pos,edge_color='k',width=4,alpha=0.5)
nx.draw_networkx_edges(gr,psn,edgelist=neg,edge_color='k',width=2,alpha=0.5,style='dashed')

nx.draw_networkx_labels(gr,psn,font_size=20,font_family='sans-serif')
plt.axis('off')
plt.show()
plt.savefig('eig.png')
plt.close()
