# trying to fit various types of models on the graph

import networkx as nx
import pdb
import matplotlib.pyplot as plt
from collections import Counter
import math


def avg_deg(cnts):
    s = sum(cnts.values())
    return dict(zip(cnts.keys(),[cnts[x]/float(s) for x in cnts.keys()]))

def mean(l):
    return sum(l)/float(len(l))

def stdev(l):
    m = mean(l)
    return math.sqrt(sum((x-m) ** 2 for x in l) / len(l))

def fitgaussian(gr,f):
    gr = nx.Graph(gr)
    # get the degree values
    v = gr.degree()  
    counts = Counter(v)
    avg = avg_deg(counts)
    m  = mean(counts.values())
    dev = stdev(counts.values())
    print "mean ",m
    pdb.set_trace()
    gvalues = map(lambda x: ( 1.0/dev*math.sqrt(2*math.pi) ) * math.exp( (-1 * (x - m )**2 )/( 2 * dev**2)),avg.keys())
    print avg.values()[:100]
    print gvalues[:100]
    plt.plot(avg.keys()[:2000],avg.values()[:2000],label="Real Data")
    plt.plot(avg.keys()[:2000],gvalues[:2000],label="Gaussian Fit")
    plt.legend()
    plt.savefig(f)

