# plot various runs of kernel k means
import pickle
import commands
from pylab import *
import matplotlib.pyplot as plt

def saveplot(f,ttle,xlab,ylab):
    xlabel(xlab)
    ylabel(ylab)
    title(ttle)
    plt.legend()
    savefig(f)
    close()

dir = "./clusteringobj/"
files = commands.getoutput('ls '+dir)
files = files.split("\n")
type = ['b*','r+']
for index,i in enumerate(files):
    l = pickle.load(open(dir+i))
    plt.plot(l.keys(),l.values(),type[index],label='Run '+str(index+1))
plt.annotate('Frustation = 79763', xy=(30, l[30]), xytext=(15, 100000),arrowprops=dict(facecolor='black', shrink=0.05),)
saveplot("kmeans.eps","Frustation value using K-Means","Iteration #","Frustation")


