import sys
import pdb

from pylab import *
import matplotlib.pyplot as plt
import networkx as nx

def saveplot(f,ttle,xlab,ylab):
    xlabel(xlab)
    ylabel(ylab)
    title(ttle)
    plt.legend()
    savefig(f)
    close()

def plotpoints(x,y,l=""):
    # plot the lists x and y
    # label of the plot is l
    plt.plot(x,y)


def plot_graph(gr,out,sz,num):
    clrs = ['r','g','b','y']
    nodepos = nx.spring_layout(gr)
    ## color the nodes differently
    for i in range(num):
            print clrs[i]
            nx.draw_networkx_nodes(gr,nodepos,font_size=12,node_list=range(sz*i,sz*(i+1)),node_color=clrs[i],node_size=400)  

    #nx.draw_networkx_nodes(gr,nodepos,font_size=12,node_color='y',node_size=400)  
    edlabs = dict([((u,v,),str(d['sign'])) for u,v,d in gr.edges(data=True)])
    nx.draw_networkx_edge_labels(gr,nodepos,edge_labels=edlabs,font_size=12)
    nx.draw_networkx_edges(gr,nodepos)
    plt.savefig(out)
    plt.close()

